Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 896652 - app-vim/iris: needs upgrade to Python 3.11 (PythonCompatUpdate)
Summary: app-vim/iris: needs upgrade to Python 3.11 (PythonCompatUpdate)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Vim Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 896398
  Show dependency tree
 
Reported: 2023-02-25 09:35 UTC by Michał Górny
Modified: 2024-07-05 10:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2023-02-25 09:35:36 UTC
This package does not support Python 3.11.  Please test it with Python 3.11 as a matter of urgency as the default will change in early June, as per message on gentoo-dev: https://archives.gentoo.org/gentoo-dev/message/abb5788ea81c7bbf4d40a2995b682eb9.  Please check the information provided in the tracker.  Ask in #gentoo-python on IRC if need any help.
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2023-05-03 05:25:09 UTC
Ping. Python 3.11 is now default.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-06-08 09:36:36 UTC
Given we're at 3.12 already, it's time to seriously consider removing packages that still haven't managed to get to 3.11 even.
Comment 3 Larry the Git Cow gentoo-dev 2024-07-05 10:37:04 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a68e4691b418ceac53660399b874f796fd723c4

commit 4a68e4691b418ceac53660399b874f796fd723c4
Author:     Arthur Zamarin <arthurzam@gentoo.org>
AuthorDate: 2024-07-05 10:29:04 +0000
Commit:     Arthur Zamarin <arthurzam@gentoo.org>
CommitDate: 2024-07-05 10:36:51 +0000

    app-vim/iris: EAPI=8, enable py3.11, py3.12
    
    Closes: https://bugs.gentoo.org/896652
    Closes: https://bugs.gentoo.org/929373
    Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>

 app-vim/iris/{iris-1.0.0.ebuild => iris-1.0.0-r1.ebuild} | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)